# Backup

## Principles

Backups are scheduled automatically with the help of CronJobs on Openshift.

## Backup manually

To backup manually, use `oc login` and `oc project` to authenticate to the correct namespace, then run this command :

```sh
oc create job --from cronjob/mysql-dump-cronjob-hourly nom_du_job
```

## Restore manually

- Monter un pod du déploiement "database-restore"
- Rentrer dans le terminal de ce pod
- Aller dans le dossier des dumps horaires `cd /dump/hourly` ou journaliers `cd /dump/hourly` ou hebdomadaires `cd /dump/weekly`
- Décompresser le dump souhaité `gzip -d YYYY-MM-dd_hh:mm:ss.sql.gz`
- Restorer ce dump (remplacer seulement YYYY-MM-dd_hh:mm:ss.sql) `mysql -uroot -p$MYSQL_ROOT_PASSWORD -h$DATABASE_HOST $MYSQL_DATABASE < YYYY-MM-dd_hh:mm:ss.sql`
