# Ecolyo

![ecolyo](../img/ecolyo.png){: .center}

Ecolyo is a multi-fluid application solution towards users of the grand lyon metropolis to monitor and optimize their energy consumption.

This is a [Cozy](https://docs.cozy.io/en/) application that allows users to connect their energy accounts such as **EGL**, **ENEDIS** and **GRDF**, using cozy [konnectors](https://docs.cozy.io/en/cozy-stack/konnectors/).

!!! danger "Reminder"
    If you're a new developer tasked to work on this project, please get acquainted with the team [processes](https://forge.grandlyon.com/web-et-numerique/factory/wiki_web_num) and read the advised [dev environment](https://forge.grandlyon.com/web-et-numerique/factory/wiki_web_num) documentation and the self-data [prerequisites](../index.md#installing-prerequisites).

## [Ecolyo.com](http://ecolyo.com)

Ecolyo has a public landing page that showcases features.

## Konnectors

Ecolyo heavily rely on konnectors to work, check our [konnector documentation](../konnectors/index.md).

## ![gitlab](../img/gitlab-logo.svg) Repositories

- [Ecolyo](https://forge.grandlyon.com/web-et-numerique/factory/llle_project/ecolyo)
- [Ecolyo.com](https://forge.grandlyon.com/web-et-numerique/factory/llle_project/ecolyo_landing_page)
- Ecolyo Agent
    - [Ecolyo-agent server](https://forge.grandlyon.com/web-et-numerique/factory/llle_project/backoffice-server)
    - [Ecolyo-agent client](https://forge.grandlyon.com/web-et-numerique/factory/llle_project/backoffice-client)
