# Definition of the service

The service will run each day at [TO BE DEFINED], as defined in the manifest:

```json
"aggregatorUsageEvents": {
    "type": "node",
    "file": "services/aggregatorUsageEvents/ecolyo.js",
    "trigger": "[TO BE DEFINED]"
}
```

## Main responsibilities of the service

The service is responsible of :

1. Collecting all new events from the ``com.grandlyon.ecolyo.usageevents``
2. Aggregated them to indicators
3. Send indicators to the remote doctype

## To do

As the remote doctype is not yet available for the service here are the remaining task to do:

- In the manifest.webapp:
    - Declare the remote doctype [see here](/ecolyo/technical/remote_doctypes/)
    - Define the cron to run every day: to check with cozy to ensure that all instances will not trigger the service at the same time
    - Create the translation for "fr" and "en"
- In the service:
    - Update the remote doctype name in the sendIndicator method
    - Add a check on the environment to ensure that the service will not post information on the remote doctype when its comes for alpha instance
